/*******************************************************************************
 *  Copyright 2017-2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/
package cdac.medinfo.sdk.dcm30_04.templates.cid;


import cdac.medinfo.sdk.dcm30_04.templates.dicomsnomedmap.EnumAnatomicSNOMEDMap;
import cdac.medinfo.sdk.dcm30_04.templates.dicomsnomedmap.EnumChestCardiacSNOMEDMap;
import cdac.medinfo.sdk.dcm30_04.templates.dicomsnomedmap.EnumDICOMSNOMEDMap;
import cdac.medinfo.sdk.dcm30_04.templates.enums.EnumCodingSchemeDesignator;
import cdac.medinfo.sdk.dcm30_04.templates.enums.cm.EnumCM_CardiovascularAnatomicLocations;
//import cdac.medinfo.sdk.dcm30_04.templates.enums.cm.EnumCM_NuclearCardiologyProtocols;
import cdac.medinfo.sdk.dcm30_04.templates.enums.cv.EnumCV_CardiovascularAnatomicLocations;


/**
 * This class represents CardiovascularAnatomicLocations - CID3010
 */
public class CardiovascularAnatomicLocations_CID3010 
{
	
	/**
	 * The Code Value for template.
	 */
	private String strCodeValue = null;

	/**
	 * The Code Meaning for template.
	 */
	private String strCodeMeaning = null;

	/**
	 * The Coding Scheme Designator for template.
	 */
	private String strCodingSchemeDesignator;
	
	/**
	 * The Coding Scheme Version
	 */
	private String strCodingSchemeVersion = null;

	/**
	 * The SNOMED CT ID for template.
	 */
	private String strSNOMEDCTID = null;
	
	/**
	 * Instantiates a new CardiovascularAnatomicLocations_CID3010 Template 
	 */
	public CardiovascularAnatomicLocations_CID3010()
	{

	}

	/**
	 * Retrieves the value for Code Meaning.
	 * @return String value for Code Meaning.
	 */
	public String getCodeMeaning()
	{
		return strCodeMeaning;
	}

	/**
	 * Retrieves the value for Code Value.
	 * @return String value for Code Value.
	 */
	public String getCodeValue() 
	{
		return strCodeValue;
	}

	/**
	 * Retrieves the value for Coding Scheme Designator.
	 * @return String value for Coding Scheme Designator.
	 */
	public String getCodingSchemeDesignator() 
	{
		return strCodingSchemeDesignator;
	}
	/**
	 * Retrieves the value for SNOMED-CT ID.
	 * @return String value for SNOMED-CT ID.
	 */
	public String getSNOMEDCTID() 
	{
		return strSNOMEDCTID;
	}
	/**
	 * Retrieves the value for CodingSchemeVersion
	 * @return
	 */
	public String getCodingSchemeVersion() {
		return strCodingSchemeVersion;
	}

	/**
	 * Sets the Code Value according to Code Meaning.
	 * @param enumCardiovascularAnatomicLocations Object of EnumCM_CardiovascularAnatomicLocations represents Code Meaning.
	 */
	private void setCodeValue(EnumCM_CardiovascularAnatomicLocations enumCardiovascularAnatomicLocations)
	{
		switch (enumCardiovascularAnatomicLocations) {
		case ABDOMINAL_AORTA:
			this.strCodeValue = EnumCV_CardiovascularAnatomicLocations.ABDOMINAL_AORTA_T_42500
					.getValue();
			break;
		case ANOMALOUS_PULMONARY_VEIN:
			this.strCodeValue = EnumCV_CardiovascularAnatomicLocations.ANOMALOUS_PULMONARY_VEIN_T_48503
					.getValue();
			break;
		case ANTECUBITAL_VEIN:
			this.strCodeValue = EnumCV_CardiovascularAnatomicLocations.ANTECUBITAL_VEIN_T_49215
					.getValue();
			break;
		case ANTERIOR_CARDIAC_VEIN:
			this.strCodeValue = EnumCV_CardiovascularAnatomicLocations.ANTERIOR_CARDIAC_VEIN_T_48440
					.getValue();
			break;
		case ANTERIOR_COMMUNICATING_ARTERY:
			this.strCodeValue = EnumCV_CardiovascularAnatomicLocations.ANTERIOR_COMMUNICATING_ARTERY_T_45530
					.getValue();
			break;
		case ANTERIOR_SPINAL_ARTERY:
			this.strCodeValue = EnumCV_CardiovascularAnatomicLocations.ANTERIOR_SPINAL_ARTERY_T_45730
					.getValue();
			break;
		case ANTERIOR_TIBIAL_ARTERY:
			this.strCodeValue = EnumCV_CardiovascularAnatomicLocations.ANTERIOR_TIBIAL_ARTERY_T_47700
					.getValue();
			break;
		case AORTA:
			this.strCodeValue = EnumCV_CardiovascularAnatomicLocations.AORTA_T_42000
					.getValue();
			break;
		case AORTIC_ARCH:
			this.strCodeValue = EnumCV_CardiovascularAnatomicLocations.AORTIC_ARCH_T_42300
					.getValue();
			break;
		case AORTIC_FISTULA:
			this.strCodeValue = EnumCV_CardiovascularAnatomicLocations.AORTIC_FISTULA_D3_81922
					.getValue();
			break;
		case APEX_OF_LEFT_VENTRICLE:
			this.strCodeValue = EnumCV_CardiovascularAnatomicLocations.APEX_OF_LEFT_VENTRICLE_T_32602
					.getValue();
			break;
		case APEX_OF_RIGHT_VENTRICLE:
			this.strCodeValue = EnumCV_CardiovascularAnatomicLocations.APEX_OF_RIGHT_VENTRICLE_T_32502
					.getValue();
			break;
		case ARTERY:
			this.strCodeValue = EnumCV_CardiovascularAnatomicLocations.ARTERY_T_41000
					.getValue();
			break;
		case ASCENDING_AORTA:
			this.strCodeValue = EnumCV_CardiovascularAnatomicLocations.ASCENDING_AORTA_T_42100
					.getValue();
			break;
		case AXILLARY_ARTERY:
			this.strCodeValue = EnumCV_CardiovascularAnatomicLocations.AXILLARY_ARTERY_T_47100
					.getValue();
			break;
		case AXILLARY_VEIN:
			this.strCodeValue = EnumCV_CardiovascularAnatomicLocations.AXILLARY_VEIN_T_49110
					.getValue();
			break;
		case AZYGOS_VEIN:
			this.strCodeValue = EnumCV_CardiovascularAnatomicLocations.AZYGOS_VEIN_T_48340
					.getValue();
			break;
		case BAFFLE:
			this.strCodeValue = EnumCV_CardiovascularAnatomicLocations.BAFFLE_A_00203
					.getValue();
			break;
		case BASILAR_ARTERY:
			this.strCodeValue = EnumCV_CardiovascularAnatomicLocations.BASILAR_ARTERY_T_45800
					.getValue();
			break;
		case BODY_CONDUIT:
			this.strCodeValue = EnumCV_CardiovascularAnatomicLocations.BODY_CONDUIT_T_D00AB
					.getValue();
			break;
		case BOYDS_PERFORATING_VEIN:
			this.strCodeValue = EnumCV_CardiovascularAnatomicLocations.BOYDS_PERFORATING_VEIN_T_49424
					.getValue();
			break;
		case BRACHIAL_ARTERY:
			this.strCodeValue = EnumCV_CardiovascularAnatomicLocations.BRACHIAL_ARTERY_T_47160
					.getValue();
			break;
		case BRACHIAL_VEIN:
			this.strCodeValue = EnumCV_CardiovascularAnatomicLocations.BRACHIAL_VEIN_T_49350
					.getValue();
			break;
		case CAROTID_ARTERY:
			this.strCodeValue = EnumCV_CardiovascularAnatomicLocations.CAROTID_ARTERY_T_45010
					.getValue();
			break;
		case CEPHALIC_VEIN:
			this.strCodeValue = EnumCV_CardiovascularAnatomicLocations.CEPHALIC_VEIN_T_49240
					.getValue();
			break;
		case CEREBRAL_ARTERY:
			this.strCodeValue = EnumCV_CardiovascularAnatomicLocations.CEREBRAL_ARTERY_T_45510
					.getValue();
			break;
		case COMMON_ATRIUM:
			this.strCodeValue = EnumCV_CardiovascularAnatomicLocations.COMMON_ATRIUM_D4_31320
					.getValue();
			break;
		case COMMON_CAROTID_ARTERY:
			this.strCodeValue = EnumCV_CardiovascularAnatomicLocations.COMMON_CAROTID_ARTERY_T_45100
					.getValue();
			break;
		case COMMON_ILIAC_ARTERY:
			this.strCodeValue = EnumCV_CardiovascularAnatomicLocations.COMMON_ILIAC_ARTERY_T_46710
					.getValue();
			break;
		case COMMON_ILIAC_VEIN:
			this.strCodeValue = EnumCV_CardiovascularAnatomicLocations.COMMON_ILIAC_VEIN_T_48920
					.getValue();
			break;
		case COMMON_VENTRICLE:
			this.strCodeValue = EnumCV_CardiovascularAnatomicLocations.COMMON_VENTRICLE_D4_31120
					.getValue();
			break;
		case CONGENITAL_CORONARY_ARTERY_FISTULA_TO_LEFT_ATRIUM:
			this.strCodeValue = EnumCV_CardiovascularAnatomicLocations.CONGENITAL_CORONARY_ARTERY_FISTULA_TO_LEFT_ATRIUM_D4_32504
					.getValue();
			break;
		case CONGENITAL_CORONARY_ARTERY_FISTULA_TO_LEFT_VENTRICLE:
			this.strCodeValue = EnumCV_CardiovascularAnatomicLocations.CONGENITAL_CORONARY_ARTERY_FISTULA_TO_LEFT_VENTRICLE_D4_32506
					.getValue();
			break;
		case CONGENITAL_CORONARY_ARTERY_FISTULA_TO_RIGHT_ATRIUM:
			this.strCodeValue = EnumCV_CardiovascularAnatomicLocations.CONGENITAL_CORONARY_ARTERY_FISTULA_TO_RIGHT_ATRIUM_D4_32509
					.getValue();
			break;
		case CONGENITAL_CORONARY_ARTERY_FISTULA_TO_RIGHT_VENTRICLE:
			this.strCodeValue = EnumCV_CardiovascularAnatomicLocations.CONGENITAL_CORONARY_ARTERY_FISTULA_TO_RIGHT_VENTRICLE_D4_32510
					.getValue();
			break;
		case CONGENITAL_PULMONARY_ARTERIOVENOUS_FISTULA:
			this.strCodeValue = EnumCV_CardiovascularAnatomicLocations.CONGENITAL_PULMONARY_ARTERIOVENOUS_FISTULA_D3_40208
					.getValue();
			break;
		case CORONARY_ARTERY:
			this.strCodeValue = EnumCV_CardiovascularAnatomicLocations.CORONARY_ARTERY_T_43000
					.getValue();
			break;
		case CORONARY_SINUS:
			this.strCodeValue = EnumCV_CardiovascularAnatomicLocations.CORONARY_SINUS_T_48410
					.getValue();
			break;
		case DESCENDING_AORTA:
			this.strCodeValue = EnumCV_CardiovascularAnatomicLocations.DESCENDING_AORTA_T_42400
					.getValue();
			break;
		case DODDS_PERFORATING_VEIN:
			this.strCodeValue = EnumCV_CardiovascularAnatomicLocations.DODDS_PERFORATING_VEIN_T_49429
					.getValue();
			break;
		case EXTERNAL_CAROTID_ARTERY:
			this.strCodeValue = EnumCV_CardiovascularAnatomicLocations.EXTERNAL_CAROTID_ARTERY_T_45200
					.getValue();
			break;
		case EXTERNAL_ILIAC_ARTERY:
			this.strCodeValue = EnumCV_CardiovascularAnatomicLocations.EXTERNAL_ILIAC_ARTERY_T_46910
					.getValue();
			break;
		case EXTERNAL_ILIAC_VEIN:
			this.strCodeValue = EnumCV_CardiovascularAnatomicLocations.EXTERNAL_ILIAC_VEIN_T_48930
					.getValue();
			break;
		case FACIAL_ARTERY:
			this.strCodeValue = EnumCV_CardiovascularAnatomicLocations.FACIAL_ARTERY_T_45240
					.getValue();
			break;
		case FEMORAL_ARTERY:
			this.strCodeValue = EnumCV_CardiovascularAnatomicLocations.FEMORAL_ARTERY_T_47400
					.getValue();
			break;
		case FEMORAL_VEIN:
			this.strCodeValue = EnumCV_CardiovascularAnatomicLocations.FEMORAL_VEIN_T_49410
					.getValue();
			break;
		case GASTRIC_VEIN:
			this.strCodeValue = EnumCV_CardiovascularAnatomicLocations.GASTRIC_VEIN_T_48820
					.getValue();
			break;
		case GENICULAR_ARTERY:
			this.strCodeValue = EnumCV_CardiovascularAnatomicLocations.GENICULAR_ARTERY_T_47490
					.getValue();
			break;
		case GREAT_CARDIAC_VEIN:
			this.strCodeValue = EnumCV_CardiovascularAnatomicLocations.GREAT_CARDIAC_VEIN_T_48420
					.getValue();
			break;
		case HEPATIC_ARTERY:
			this.strCodeValue = EnumCV_CardiovascularAnatomicLocations.HEPATIC_ARTERY_T_46420
					.getValue();
			break;
		case HEPATIC_VEIN:
			this.strCodeValue = EnumCV_CardiovascularAnatomicLocations.HEPATIC_VEIN_T_48720
					.getValue();
			break;
		case HUNTERIAN_PERFORATING_VEIN:
			this.strCodeValue = EnumCV_CardiovascularAnatomicLocations.HUNTERIAN_PERFORATING_VEIN_T_4942A
					.getValue();
			break;
		case ILIAC_ARTERY:
			this.strCodeValue = EnumCV_CardiovascularAnatomicLocations.ILIAC_ARTERY_T_46700
					.getValue();
			break;
		case INFERIOR_CARDIAC_VEIN:
			this.strCodeValue = EnumCV_CardiovascularAnatomicLocations.INFERIOR_CARDIAC_VEIN_T_48470
					.getValue();
			break;
		case INFERIOR_LEFT_PULMONARY_VEIN:
			this.strCodeValue = EnumCV_CardiovascularAnatomicLocations.INFERIOR_LEFT_PULMONARY_VEIN_T_48540
					.getValue();
			break;
		case INFERIOR_MESENTERIC_ARTERY:
			this.strCodeValue = EnumCV_CardiovascularAnatomicLocations.INFERIOR_MESENTERIC_ARTERY_T_46520
					.getValue();
			break;
		case INFERIOR_RIGHT_PULMONARY_VEIN:
			this.strCodeValue = EnumCV_CardiovascularAnatomicLocations.INFERIOR_RIGHT_PULMONARY_VEIN_T_48520
					.getValue();
			break;
		case INFERIOR_VENA_CAVA:
			this.strCodeValue = EnumCV_CardiovascularAnatomicLocations.INFERIOR_VENA_CAVA_T_48710
					.getValue();
			break;
		case INNOMINATE_ARTERY:
			this.strCodeValue = EnumCV_CardiovascularAnatomicLocations.INNOMINATE_ARTERY_T_46010
					.getValue();
			break;
		case INNOMINATE_VEIN:
			this.strCodeValue = EnumCV_CardiovascularAnatomicLocations.INNOMINATE_VEIN_T_48620
					.getValue();
			break;
		case INTERNAL_CAROTID_ARTERY:
			this.strCodeValue = EnumCV_CardiovascularAnatomicLocations.INTERNAL_CAROTID_ARTERY_T_45300
					.getValue();
			break;
		case INTERNAL_ILIAC_ARTERY:
			this.strCodeValue = EnumCV_CardiovascularAnatomicLocations.ILIAC_ARTERY_T_46700
					.getValue();
			break;
		case INTERNAL_JUGULAR_VEIN:
			this.strCodeValue = EnumCV_CardiovascularAnatomicLocations.INTERNAL_JUGULAR_VEIN_T_48170
					.getValue();
			break;
		case INTERNAL_MAMMARY_ARTERY:
			this.strCodeValue = EnumCV_CardiovascularAnatomicLocations.INTERNAL_MAMMARY_ARTERY_T_46200
					.getValue();
			break;
		case JUXTAPOSED_ATRIAL_APPENDAGE:
			this.strCodeValue = EnumCV_CardiovascularAnatomicLocations.JUXTAPOSED_ATRIAL_APPENDAGE_D4_31052
					.getValue();
			break;
		case LACRIMAL_ARTERY:
			this.strCodeValue = EnumCV_CardiovascularAnatomicLocations.LACRIMAL_ARTERY_T_45410
					.getValue();
			break;
		case LACRIMAL_ARTERY_OF_RIGHT_EYE:
			this.strCodeValue = EnumCV_CardiovascularAnatomicLocations.LACRIMAL_ARTERY_OF_RIGHT_EYE_T_45416
					.getValue();
			break;
		case LEFT_ATRIUM:
			this.strCodeValue = EnumCV_CardiovascularAnatomicLocations.LEFT_ATRIUM_T_32300
					.getValue();
			break;
		case LEFT_AURICULAR_APPENDAGE:
			this.strCodeValue = EnumCV_CardiovascularAnatomicLocations.LEFT_AURICULAR_APPENDAGE_T_32310
					.getValue();
			break;
		case LEFT_FEMORAL_ARTERY:
			this.strCodeValue = EnumCV_CardiovascularAnatomicLocations.LEFT_FEMORAL_ARTERY_T_47420
					.getValue();
			break;
		case LEFT_PULMONARY_ARTERY:
			this.strCodeValue = EnumCV_CardiovascularAnatomicLocations.LEFT_PULMONARY_ARTERY_T_44400
					.getValue();
			break;
		case LEFT_VENTRICLE:
			this.strCodeValue = EnumCV_CardiovascularAnatomicLocations.LEFT_VENTRICLE_T_32600
					.getValue();
			break;
		case LEFT_VENTRICLE_INFLOW:
			this.strCodeValue = EnumCV_CardiovascularAnatomicLocations.LEFT_VENTRICLE_INFLOW_T_32640
					.getValue();
			break;
		case LEFT_VENTRICLE_OUTFLOW_CHAMBER:
			this.strCodeValue = EnumCV_CardiovascularAnatomicLocations.LEFT_VENTRICLE_OUTFLOW_CHAMBER_D4_31022
					.getValue();
			break;
		case LEFT_VENTRICLE_OUTFLOW_TRACT:
			this.strCodeValue = EnumCV_CardiovascularAnatomicLocations.LEFT_VENTRICLE_OUTFLOW_TRACT_T_32650
					.getValue();
			break;
		case LINGUAL_ARTERY:
			this.strCodeValue = EnumCV_CardiovascularAnatomicLocations.LINGUAL_ARTERY_T_45230
					.getValue();
			break;
		case LUMBAR_ARTERY:
			this.strCodeValue = EnumCV_CardiovascularAnatomicLocations.LUMBAR_ARTERY_T_46960
					.getValue();
			break;
		case MESENTERIC_ARTERY:
			this.strCodeValue = EnumCV_CardiovascularAnatomicLocations.MESENTERIC_ARTERY_T_46500
					.getValue();
			break;
		case MESENTERIC_VEIN:
			this.strCodeValue = EnumCV_CardiovascularAnatomicLocations.MESENTERIC_VEIN_T_4884A
					.getValue();
			break;
		case OCCIPITAL_ARTERY:
			this.strCodeValue = EnumCV_CardiovascularAnatomicLocations.OCCIPITAL_ARTERY_T_45250
					.getValue();
			break;
		case OCCIPITAL_VEIN:
			this.strCodeValue = EnumCV_CardiovascularAnatomicLocations.OCCIPITAL_VEIN_T_48214
					.getValue();
			break;
		case OPHTHALMIC_ARTERY:
			this.strCodeValue = EnumCV_CardiovascularAnatomicLocations.OPHTHALMIC_ARTERY_T_45400
					.getValue();
			break;
		case PATENT_DUCTUS_ARTERIOSUS:
			this.strCodeValue = EnumCV_CardiovascularAnatomicLocations.PATENT_DUCTUS_ARTERIOSUS_D4_32012
					.getValue();
			break;
		case PERONEAL_ARTERY:
			this.strCodeValue = EnumCV_CardiovascularAnatomicLocations.PERONEAL_ARTERY_T_47630
					.getValue();
			break;
		case POPLITEAL_ARTERY:
			this.strCodeValue = EnumCV_CardiovascularAnatomicLocations.POPLITEAL_ARTERY_T_47500
					.getValue();
			break;
		case PORTAL_VEIN:
			this.strCodeValue = EnumCV_CardiovascularAnatomicLocations.PORTAL_VEIN_T_48810
					.getValue();
			break;
		case POSTERIOR_COMMUNICATION_ARTERY:
			this.strCodeValue = EnumCV_CardiovascularAnatomicLocations.POSTERIOR_COMMUNICATION_ARTERY_T_45320
					.getValue();
			break;
		case POSTERIOR_MEDIAL_TRIBUTARY:
			this.strCodeValue = EnumCV_CardiovascularAnatomicLocations.POSTERIOR_MEDIAL_TRIBUTARY_T_49535
					.getValue();
			break;
		case POSTERIOR_TIBIAL_ARTERY:
			this.strCodeValue = EnumCV_CardiovascularAnatomicLocations.POSTERIOR_TIBIAL_ARTERY_T_47600
					.getValue();
			break;
		case PRIMITIVE_AORTA:
			this.strCodeValue = EnumCV_CardiovascularAnatomicLocations.PRIMITIVE_AORTA_T_F7001
					.getValue();
			break;
		case PRIMITIVE_PULMONARY_ARTERY:
			this.strCodeValue = EnumCV_CardiovascularAnatomicLocations.PRIMITIVE_PULMONARY_ARTERY_T_F7040
					.getValue();
			break;
		case PULMONARY_ARTERY:
			this.strCodeValue = EnumCV_CardiovascularAnatomicLocations.PULMONARY_ARTERY_T_44000
					.getValue();
			break;
		case PULMONARY_ARTERY_CONDUIT:
			this.strCodeValue = EnumCV_CardiovascularAnatomicLocations.PULMONARY_ARTERY_CONDUIT_D4_33142
					.getValue();
			break;
		case PULMONARY_CHAMBER_OF_COR_TRIATRIATUM:
			this.strCodeValue = EnumCV_CardiovascularAnatomicLocations.PULMONARY_CHAMBER_OF_COR_TRIATRIATUM_T_32190
					.getValue();
			break;
		case PULMONARY_VEIN:
			this.strCodeValue = EnumCV_CardiovascularAnatomicLocations.PULMONARY_VEIN_T_48581
					.getValue();
			break;
		case PULMONARY_VEIN_CONFLUENCE:
			this.strCodeValue = EnumCV_CardiovascularAnatomicLocations.PULMONARY_VEIN_CONFLUENCE_D4_33512
					.getValue();
			break;
		case PULMONARY_VENOUS_ATRIUM:
			this.strCodeValue = EnumCV_CardiovascularAnatomicLocations.PULMONARY_VENOUS_ATRIUM_D4_33514
					.getValue();
			break;
		case RADIAL_ARTERY:
			this.strCodeValue = EnumCV_CardiovascularAnatomicLocations.RADIAL_ARTERY_T_47300
					.getValue();
			break;
		case RENAL_ARTERY:
			this.strCodeValue = EnumCV_CardiovascularAnatomicLocations.RENAL_ARTERY_T_46600
					.getValue();
			break;
		case RENAL_VEIN:
			this.strCodeValue = EnumCV_CardiovascularAnatomicLocations.RENAL_VEIN_T_48740
					.getValue();
			break;
		case RIGHT_ATRIUM:
			this.strCodeValue = EnumCV_CardiovascularAnatomicLocations.RIGHT_ATRIUM_T_32200
					.getValue();
			break;
		case RIGHT_AURICULAR_APPENDAGE:
			this.strCodeValue = EnumCV_CardiovascularAnatomicLocations.RIGHT_AURICULAR_APPENDAGE_T_32210
					.getValue();
			break;
		case RIGHT_FEMORAL_ARTERY:
			this.strCodeValue = EnumCV_CardiovascularAnatomicLocations.RIGHT_FEMORAL_ARTERY_T_47410
					.getValue();
			break;
		case RIGHT_PULMONARY_ARTERY:
			this.strCodeValue = EnumCV_CardiovascularAnatomicLocations.RIGHT_PULMONARY_ARTERY_T_44200
					.getValue();
			break;
		case RIGHT_VENTRICLE:
			this.strCodeValue = EnumCV_CardiovascularAnatomicLocations.RIGHT_VENTRICLE_T_32500
					.getValue();
			break;
		case RIGHT_VENTRICLE_INFLOW:
			this.strCodeValue = EnumCV_CardiovascularAnatomicLocations.RIGHT_VENTRICLE_INFLOW_T_32540
					.getValue();
			break;
		case RIGHT_VENTRICLE_OUTFLOW_CHAMBER:
			this.strCodeValue = EnumCV_CardiovascularAnatomicLocations.RIGHT_VENTRICLE_OUTFLOW_CHAMBER_D4_31032
					.getValue();
			break;
		case RIGHT_VENTRICLE_OUTFLOW_TRACT:
			this.strCodeValue = EnumCV_CardiovascularAnatomicLocations.RIGHT_VENTRICLE_OUTFLOW_TRACT_T_32550
					.getValue();
			break;
		case SAPHENOFEMORAL_JUNCTION:
			this.strCodeValue = EnumCV_CardiovascularAnatomicLocations.SAPHENOFEMORAL_JUNCTION_T_D930A
					.getValue();
			break;
		case SAPHENOUS_VEIN:
			this.strCodeValue = EnumCV_CardiovascularAnatomicLocations.SAPHENOUS_VEIN_T_49530
					.getValue();
			break;
		case SPLENIC_ARTERY:
			this.strCodeValue = EnumCV_CardiovascularAnatomicLocations.SPLENIC_ARTERY_T_46460
					.getValue();
			break;
		case SPLENIC_VEIN:
			this.strCodeValue = EnumCV_CardiovascularAnatomicLocations.SPLENIC_VEIN_T_48890
					.getValue();
			break;
		case SUBCLAVIAN_ARTERY:
			this.strCodeValue = EnumCV_CardiovascularAnatomicLocations.SUBCLAVIAN_ARTERY_T_46100
					.getValue();
			break;
		case SUBCLAVIAN_VEIN:
			this.strCodeValue = EnumCV_CardiovascularAnatomicLocations.SUBCLAVIAN_VEIN_T_48330
					.getValue();
			break;
		case SUPERFICIAL_TEMPORAL_ARTERY:
			this.strCodeValue = EnumCV_CardiovascularAnatomicLocations.SUPERFICIAL_TEMPORAL_ARTERY_T_45270
					.getValue();
			break;
		case SUPERIOR_LEFT_PULMONARY_VEIN:
			this.strCodeValue = EnumCV_CardiovascularAnatomicLocations.SUPERIOR_LEFT_PULMONARY_VEIN_T_48530
					.getValue();
			break;
		case SUPERIOR_MESENTERIC_ARTERY:
			this.strCodeValue = EnumCV_CardiovascularAnatomicLocations.SUPERIOR_MESENTERIC_ARTERY_T_46510
					.getValue();
			break;
		case SUPERIOR_RIGHT_PULMONARY_VEIN:
			this.strCodeValue = EnumCV_CardiovascularAnatomicLocations.SUPERIOR_RIGHT_PULMONARY_VEIN_T_48510
					.getValue();
			break;
		case SUPERIOR_THYROID_ARTERY:
			this.strCodeValue = EnumCV_CardiovascularAnatomicLocations.SUPERIOR_THYROID_ARTERY_T_45210
					.getValue();
			break;
		case SUPERIOR_VENA_CAVA:
			this.strCodeValue = EnumCV_CardiovascularAnatomicLocations.SUPERIOR_VENA_CAVA_T_48610
					.getValue();
			break;
		case SYSTEMIC_COLLATERAL_ARTERY_TO_LUNG:
			this.strCodeValue = EnumCV_CardiovascularAnatomicLocations.SYSTEMIC_COLLATERAL_ARTERY_TO_LUNG_T_44007
					.getValue();
			break;
		case SYSTEMIC_VENOUS_ATRIUM:
			this.strCodeValue = EnumCV_CardiovascularAnatomicLocations.SYSTEMIC_VENOUS_ATRIUM_D4_33516
					.getValue();
			break;
		case THORACIC_AORTA:
			this.strCodeValue = EnumCV_CardiovascularAnatomicLocations.THORACIC_AORTA_T_42070
					.getValue();
			break;
		case TRUNCUS_ARTERIOSUS_COMMUNIS:
			this.strCodeValue = EnumCV_CardiovascularAnatomicLocations.TRUNCUS_ARTERIOSUS_COMMUNIS_D4_31400
					.getValue();
			break;
		case TRUNCUS_COELIACUS:
			this.strCodeValue = EnumCV_CardiovascularAnatomicLocations.TRUNCUS_COELIACUS_T_46400
					.getValue();
			break;
		case ULNAR_ARTERY:
			this.strCodeValue = EnumCV_CardiovascularAnatomicLocations.ULNAR_ARTERY_T_47200
					.getValue();
			break;
		case UMBILICAL_ARTERY:
			this.strCodeValue = EnumCV_CardiovascularAnatomicLocations.UMBILICAL_ARTERY_T_F1810
					.getValue();
			break;
		case UMBILICAL_VEIN:
			this.strCodeValue = EnumCV_CardiovascularAnatomicLocations.UMBILICAL_VEIN_T_48817
					.getValue();
			break;
		case VEIN:
			this.strCodeValue = EnumCV_CardiovascularAnatomicLocations.VEIN_T_48000
					.getValue();
			break;
		case VENOUS_NETWORK:
			this.strCodeValue = EnumCV_CardiovascularAnatomicLocations.VENOUS_NETWORK_T_48003
					.getValue();
			break;
		case VERTEBRAL_ARTERY:
			this.strCodeValue = EnumCV_CardiovascularAnatomicLocations.VERTEBRAL_ARTERY_T_45700
					.getValue();
			break;
		}
	}

	/**
	 * Sets the SNOMED-CT ID.
	 * 
	 * @param enumNuclearCardiologyProtocols
	 *            Object of EnumCM_NuclearCardiologyProtocols represents Code
	 *            Meaning.
	 */
	private void setSNOMEDCTID(
			EnumCM_CardiovascularAnatomicLocations enumCardiovascularAnatomicLocations) {
		switch (enumCardiovascularAnatomicLocations) {
		case ABDOMINAL_AORTA:
			this.strSNOMEDCTID = EnumAnatomicSNOMEDMap.ABDOMINAL_AORTA
					.getSNOMEDCTID();
			break;
		case ANOMALOUS_PULMONARY_VEIN:
			this.strSNOMEDCTID = EnumChestCardiacSNOMEDMap.ANOMALOUS_PULMONARY_VEIN
					.getSNOMEDCTID();
			break;
		case ANTECUBITAL_VEIN:
			this.strSNOMEDCTID = EnumChestCardiacSNOMEDMap.ANTECUBITAL_VEIN
					.getSNOMEDCTID();
			break;
		case ANTERIOR_CARDIAC_VEIN:
			this.strSNOMEDCTID = EnumChestCardiacSNOMEDMap.ANTERIOR_CARDIAC_VEIN
					.getSNOMEDCTID();
			break;
		case ANTERIOR_COMMUNICATING_ARTERY:
			this.strSNOMEDCTID = EnumDICOMSNOMEDMap.ANTERIOR_COMMUNICATING_ARTERY
					.getSNOMEDCTID();
			break;
		case ANTERIOR_SPINAL_ARTERY:
			this.strSNOMEDCTID = EnumChestCardiacSNOMEDMap.ANTERIOR_SPINAL_ARTERY
					.getSNOMEDCTID();
			break;
		case ANTERIOR_TIBIAL_ARTERY:
			this.strSNOMEDCTID = EnumAnatomicSNOMEDMap.ANTERIOR_TIBIAL_ARTERY
					.getSNOMEDCTID();
			break;
		case AORTA:
			this.strSNOMEDCTID = EnumChestCardiacSNOMEDMap.AORTA
					.getSNOMEDCTID();
			break;
		case AORTIC_ARCH:
			this.strSNOMEDCTID = EnumChestCardiacSNOMEDMap.AORTIC_ARCH
					.getSNOMEDCTID();
			break;
		case AORTIC_FISTULA:
			this.strSNOMEDCTID = EnumChestCardiacSNOMEDMap.AORTIC_FISTULA
					.getSNOMEDCTID();
			break;
		case APEX_OF_LEFT_VENTRICLE:
			this.strSNOMEDCTID = EnumChestCardiacSNOMEDMap.APEX_OF_LEFT_VENTRICLE
					.getSNOMEDCTID();
			break;
		case APEX_OF_RIGHT_VENTRICLE:
			this.strSNOMEDCTID = EnumChestCardiacSNOMEDMap.APEX_OF_RIGHT_VENTRICLE
					.getSNOMEDCTID();
			break;
		case ARTERY:
			this.strSNOMEDCTID = EnumChestCardiacSNOMEDMap.ARTERY
					.getSNOMEDCTID();
			break;
		case ASCENDING_AORTA:
			this.strSNOMEDCTID = EnumChestCardiacSNOMEDMap.ASCENDING_AORTA
					.getSNOMEDCTID();
			break;
		case AXILLARY_ARTERY:
			this.strSNOMEDCTID = EnumAnatomicSNOMEDMap.AXILLARY_ARTERY
					.getSNOMEDCTID();
			break;
		case AXILLARY_VEIN:
			this.strSNOMEDCTID = EnumAnatomicSNOMEDMap.AXILLARY_VEIN
					.getSNOMEDCTID();
			break;
		case AZYGOS_VEIN:
			this.strSNOMEDCTID = EnumChestCardiacSNOMEDMap.AZYGOS_VEIN
					.getSNOMEDCTID();
			break;
		case BAFFLE:
			this.strSNOMEDCTID = EnumChestCardiacSNOMEDMap.BAFFLE
					.getSNOMEDCTID();
			break;
		case BASILAR_ARTERY:
			this.strSNOMEDCTID = EnumAnatomicSNOMEDMap.BASILAR_ARTERY
					.getSNOMEDCTID();
			break;
		case BODY_CONDUIT:
			this.strSNOMEDCTID = EnumChestCardiacSNOMEDMap.BODY_CONDUIT
					.getSNOMEDCTID();
			break;
		case BOYDS_PERFORATING_VEIN:
			this.strSNOMEDCTID = EnumAnatomicSNOMEDMap.BOYDS_PERFORATING_VEIN
					.getSNOMEDCTID();
			break;
		case BRACHIAL_ARTERY:
			this.strSNOMEDCTID = EnumAnatomicSNOMEDMap.BRACHIAL_ARTERY
					.getSNOMEDCTID();
			break;
		case BRACHIAL_VEIN:
			this.strSNOMEDCTID = EnumAnatomicSNOMEDMap.BRACHIAL_VEIN
					.getSNOMEDCTID();
			break;
		case CAROTID_ARTERY:
			this.strSNOMEDCTID = EnumChestCardiacSNOMEDMap.CAROTID_ARTERY
					.getSNOMEDCTID();
			break;
		case CEPHALIC_VEIN:
			this.strSNOMEDCTID = EnumAnatomicSNOMEDMap.CEPHALIC_VEIN
					.getSNOMEDCTID();
			break;
		case CEREBRAL_ARTERY:
			this.strSNOMEDCTID = EnumChestCardiacSNOMEDMap.CEREBRAL_ARTERY
					.getSNOMEDCTID();
			break;
		case COMMON_ATRIUM:
			this.strSNOMEDCTID = EnumChestCardiacSNOMEDMap.COMMON_ATRIUM
					.getSNOMEDCTID();
			break;
		case COMMON_CAROTID_ARTERY:
			this.strSNOMEDCTID = EnumChestCardiacSNOMEDMap.COMMON_CAROTID_ARTERY
					.getSNOMEDCTID();
			break;
		case COMMON_ILIAC_ARTERY:
			this.strSNOMEDCTID = EnumAnatomicSNOMEDMap.COMMON_ILIAC_ARTERY
					.getSNOMEDCTID();
			break;
		case COMMON_ILIAC_VEIN:
			this.strSNOMEDCTID = EnumAnatomicSNOMEDMap.COMMON_ILIAC_VEIN
					.getSNOMEDCTID();
			break;
		case COMMON_VENTRICLE:
			this.strSNOMEDCTID = EnumChestCardiacSNOMEDMap.COMMON_VENTRICLE
					.getSNOMEDCTID();
			break;
		case CONGENITAL_CORONARY_ARTERY_FISTULA_TO_LEFT_ATRIUM:
			this.strSNOMEDCTID = EnumChestCardiacSNOMEDMap.CONGENITAL_CORONARY_ARTERY_FISTULA_TO_LEFT_ATRIUM
					.getSNOMEDCTID();
			break;
		case CONGENITAL_CORONARY_ARTERY_FISTULA_TO_LEFT_VENTRICLE:
			this.strSNOMEDCTID = EnumChestCardiacSNOMEDMap.CONGENITAL_CORONARY_ARTERY_FISTULA_TO_LEFT_VENTRICLE
					.getSNOMEDCTID();
			break;
		case CONGENITAL_CORONARY_ARTERY_FISTULA_TO_RIGHT_ATRIUM:
			this.strSNOMEDCTID = EnumChestCardiacSNOMEDMap.CONGENITAL_CORONARY_ARTERY_FISTULA_TO_RIGHT_ATRIUM
					.getSNOMEDCTID();
			break;
		case CONGENITAL_CORONARY_ARTERY_FISTULA_TO_RIGHT_VENTRICLE:
			this.strSNOMEDCTID = EnumChestCardiacSNOMEDMap.CONGENITAL_CORONARY_ARTERY_FISTULA_TO_RIGHT_VENTRICLE
					.getSNOMEDCTID();
			break;
		case CONGENITAL_PULMONARY_ARTERIOVENOUS_FISTULA:
			this.strSNOMEDCTID = EnumChestCardiacSNOMEDMap.CONGENITAL_PULMONARY_ARTERIOVENOUS_FISTULA
					.getSNOMEDCTID();
			break;
		case CORONARY_ARTERY:
			this.strSNOMEDCTID = EnumChestCardiacSNOMEDMap.CORONARY_ARTERY
					.getSNOMEDCTID();
			break;
		case CORONARY_SINUS:
			this.strSNOMEDCTID = EnumChestCardiacSNOMEDMap.CORONARY_SINUS
					.getSNOMEDCTID();
			break;
		case DESCENDING_AORTA:
			this.strSNOMEDCTID = EnumChestCardiacSNOMEDMap.DESCENDING_AORTA
					.getSNOMEDCTID();
			break;
		case DODDS_PERFORATING_VEIN:
			this.strSNOMEDCTID = EnumChestCardiacSNOMEDMap.DODDS_PERFORATING_VEIN
					.getSNOMEDCTID();
			break;
		case EXTERNAL_CAROTID_ARTERY:
			this.strSNOMEDCTID = EnumChestCardiacSNOMEDMap.EXTERNAL_CAROTID_ARTERY
					.getSNOMEDCTID();
			break;
		case EXTERNAL_ILIAC_ARTERY:
			this.strSNOMEDCTID = EnumAnatomicSNOMEDMap.EXTERNAL_ILIAC_ARTERY
					.getSNOMEDCTID();
			break;
		case EXTERNAL_ILIAC_VEIN:
			this.strSNOMEDCTID = EnumAnatomicSNOMEDMap.EXTERNAL_ILIAC_VEIN
					.getSNOMEDCTID();
			break;
		case FACIAL_ARTERY:
			this.strSNOMEDCTID = EnumChestCardiacSNOMEDMap.FACIAL_ARTERY
					.getSNOMEDCTID();
			break;
		case FEMORAL_ARTERY:
			this.strSNOMEDCTID = EnumChestCardiacSNOMEDMap.FEMORAL_ARTERY
					.getSNOMEDCTID();
			break;
		case FEMORAL_VEIN:
			this.strSNOMEDCTID = EnumChestCardiacSNOMEDMap.FEMORAL_VEIN
					.getSNOMEDCTID();
			break;
		case GASTRIC_VEIN:
			this.strSNOMEDCTID = EnumAnatomicSNOMEDMap.GASTRIC_VEIN
					.getSNOMEDCTID();
			break;
		case GENICULAR_ARTERY:
			this.strSNOMEDCTID = EnumChestCardiacSNOMEDMap.GENICULAR_ARTERY
					.getSNOMEDCTID();
			break;
		case GREAT_CARDIAC_VEIN:
			this.strSNOMEDCTID = EnumChestCardiacSNOMEDMap.GREAT_CARDIAC_VEIN
					.getSNOMEDCTID();
			break;
		case HEPATIC_ARTERY:
			this.strSNOMEDCTID = EnumChestCardiacSNOMEDMap.HEPATIC_ARTERY
					.getSNOMEDCTID();
			break;
		case HEPATIC_VEIN:
			this.strSNOMEDCTID = EnumAnatomicSNOMEDMap.HEPATIC_VEIN
					.getSNOMEDCTID();
			break;
		case HUNTERIAN_PERFORATING_VEIN:
			this.strSNOMEDCTID = EnumAnatomicSNOMEDMap.HUNTERIAN_PERFORATING_VEIN
					.getSNOMEDCTID();
			break;
		case ILIAC_ARTERY:
			this.strSNOMEDCTID = EnumChestCardiacSNOMEDMap.ILIAC_ARTERY
					.getSNOMEDCTID();
			break;
		case INFERIOR_CARDIAC_VEIN:
			this.strSNOMEDCTID = EnumChestCardiacSNOMEDMap.INFERIOR_CARDIAC_VEIN
					.getSNOMEDCTID();
			break;
		case INFERIOR_LEFT_PULMONARY_VEIN:
			this.strSNOMEDCTID = EnumChestCardiacSNOMEDMap.INFERIOR_LEFT_PULMONARY_VEIN
					.getSNOMEDCTID();
			break;
		case INFERIOR_MESENTERIC_ARTERY:
			this.strSNOMEDCTID = EnumAnatomicSNOMEDMap.INFERIOR_MESENTERIC_ARTERY
					.getSNOMEDCTID();
			break;
		case INFERIOR_RIGHT_PULMONARY_VEIN:
			this.strSNOMEDCTID = EnumChestCardiacSNOMEDMap.INFERIOR_RIGHT_PULMONARY_VEIN
					.getSNOMEDCTID();
			break;
		case INFERIOR_VENA_CAVA:
			this.strSNOMEDCTID = EnumAnatomicSNOMEDMap.INFERIOR_VENA_CAVA
					.getSNOMEDCTID();
			break;
		case INNOMINATE_ARTERY:
			this.strSNOMEDCTID = EnumAnatomicSNOMEDMap.INNOMINATE_ARTERY
					.getSNOMEDCTID();
			break;
		case INNOMINATE_VEIN:
			this.strSNOMEDCTID = EnumAnatomicSNOMEDMap.INNOMINATE_VEIN
					.getSNOMEDCTID();
			break;
		case INTERNAL_CAROTID_ARTERY:
			this.strSNOMEDCTID = EnumChestCardiacSNOMEDMap.INTERNAL_CAROTID_ARTERY
					.getSNOMEDCTID();
			break;
		case INTERNAL_JUGULAR_VEIN:
			this.strSNOMEDCTID = EnumAnatomicSNOMEDMap.INTERNAL_JUGULAR_VEIN
					.getSNOMEDCTID();
			break;
		case INTERNAL_ILIAC_ARTERY:
			this.strSNOMEDCTID = EnumAnatomicSNOMEDMap.INTERNAL_ILIAC_ARTERY
					.getSNOMEDCTID();
			break;
		case INTERNAL_MAMMARY_ARTERY:
			this.strSNOMEDCTID = EnumChestCardiacSNOMEDMap.INTERNAL_MAMMARY_ARTERY
					.getSNOMEDCTID();
			break;
		case JUXTAPOSED_ATRIAL_APPENDAGE:
			this.strSNOMEDCTID = EnumChestCardiacSNOMEDMap.JUXTAPOSED_ATRIAL_APPENDAGE
					.getSNOMEDCTID();
			break;
		case LACRIMAL_ARTERY:
			this.strSNOMEDCTID = EnumChestCardiacSNOMEDMap.LACRIMAL_ARTERY
					.getSNOMEDCTID();
			break;
		case LACRIMAL_ARTERY_OF_RIGHT_EYE:
			this.strSNOMEDCTID = EnumChestCardiacSNOMEDMap.LACRIMAL_ARTERY_OF_RIGHT_EYE
					.getSNOMEDCTID();
			break;
		case LEFT_ATRIUM:
			this.strSNOMEDCTID = EnumChestCardiacSNOMEDMap.LEFT_ATRIUM
					.getSNOMEDCTID();
			break;
		case LEFT_AURICULAR_APPENDAGE:
			this.strSNOMEDCTID = EnumChestCardiacSNOMEDMap.LEFT_AURICULAR_APPENDAGE
					.getSNOMEDCTID();
			break;
		case LEFT_FEMORAL_ARTERY:
			this.strSNOMEDCTID = EnumChestCardiacSNOMEDMap.LEFT_FEMORAL_ARTERY
					.getSNOMEDCTID();
			break;
		case LEFT_PULMONARY_ARTERY:
			this.strSNOMEDCTID = EnumChestCardiacSNOMEDMap.LEFT_PULMONARY_ARTERY
					.getSNOMEDCTID();
			break;
		case LEFT_VENTRICLE:
			this.strSNOMEDCTID = EnumChestCardiacSNOMEDMap.LEFT_VENTRICLE
					.getSNOMEDCTID();
			break;
		case LEFT_VENTRICLE_INFLOW:
			this.strSNOMEDCTID = EnumChestCardiacSNOMEDMap.LEFT_VENTRICLE_INFLOW
					.getSNOMEDCTID();
			break;
		case LEFT_VENTRICLE_OUTFLOW_CHAMBER:
			this.strSNOMEDCTID = EnumChestCardiacSNOMEDMap.LEFT_VENTRICLE_OUTFLOW_CHAMBER
					.getSNOMEDCTID();
			break;
		case LEFT_VENTRICLE_OUTFLOW_TRACT:
			this.strSNOMEDCTID = EnumChestCardiacSNOMEDMap.LEFT_VENTRICLE_OUTFLOW_TRACT
					.getSNOMEDCTID();
			break;
		case LINGUAL_ARTERY:
			this.strSNOMEDCTID = EnumChestCardiacSNOMEDMap.LINGUAL_ARTERY
					.getSNOMEDCTID();
			break;
		case LUMBAR_ARTERY:
			this.strSNOMEDCTID = EnumAnatomicSNOMEDMap.LUMBAR_ARTERY
					.getSNOMEDCTID();
			break;
		case MESENTERIC_ARTERY:
			this.strSNOMEDCTID = EnumChestCardiacSNOMEDMap.MESENTERIC_ARTERY
					.getSNOMEDCTID();
			break;
		case MESENTERIC_VEIN:
			this.strSNOMEDCTID = EnumChestCardiacSNOMEDMap.MESENTERIC_VEIN
					.getSNOMEDCTID();
			break;
		case OCCIPITAL_ARTERY:
			this.strSNOMEDCTID = EnumChestCardiacSNOMEDMap.OCCIPITAL_ARTERY
					.getSNOMEDCTID();
			break;
		case OCCIPITAL_VEIN:
			this.strSNOMEDCTID = EnumChestCardiacSNOMEDMap.OCCIPITAL_VEIN
					.getSNOMEDCTID();
			break;
		case OPHTHALMIC_ARTERY:
			this.strSNOMEDCTID = EnumDICOMSNOMEDMap.OPHTHALMIC_ARTERY
					.getSNOMEDCTID();
			break;
		case PATENT_DUCTUS_ARTERIOSUS:
			this.strSNOMEDCTID = EnumChestCardiacSNOMEDMap.PATENT_DUCTUS_ARTERIOSUS
					.getSNOMEDCTID();
			break;
		case PERONEAL_ARTERY:
			this.strSNOMEDCTID = EnumAnatomicSNOMEDMap.PERONEAL_ARTERY
					.getSNOMEDCTID();
			break;
		case POPLITEAL_ARTERY:
			this.strSNOMEDCTID = EnumAnatomicSNOMEDMap.POPLITEAL_ARTERY
					.getSNOMEDCTID();
			break;
		case PORTAL_VEIN:
			this.strSNOMEDCTID = EnumAnatomicSNOMEDMap.PORTAL_VEIN.getSNOMEDCTID();
			break;
		case POSTERIOR_COMMUNICATION_ARTERY:
			this.strSNOMEDCTID = EnumChestCardiacSNOMEDMap.POSTERIOR_COMMUNICATION_ARTERY
					.getSNOMEDCTID();
			break;
		case POSTERIOR_MEDIAL_TRIBUTARY:
			this.strSNOMEDCTID = EnumChestCardiacSNOMEDMap.POSTERIOR_MEDIAL_TRIBUTARY
					.getSNOMEDCTID();
			break;
		case POSTERIOR_TIBIAL_ARTERY:
			this.strSNOMEDCTID = EnumAnatomicSNOMEDMap.POSTERIOR_TIBIAL_ARTERY
					.getSNOMEDCTID();
			break;
		case PRIMITIVE_AORTA:
			this.strSNOMEDCTID = EnumChestCardiacSNOMEDMap.PRIMITIVE_AORTA
					.getSNOMEDCTID();
			break;
		case PRIMITIVE_PULMONARY_ARTERY:
			this.strSNOMEDCTID = EnumChestCardiacSNOMEDMap.PRIMITIVE_PULMONARY_ARTERY
					.getSNOMEDCTID();
			break;
		case PULMONARY_ARTERY:
			this.strSNOMEDCTID = EnumChestCardiacSNOMEDMap.PULMONARY_ARTERY
					.getSNOMEDCTID();
			break;
		case PULMONARY_ARTERY_CONDUIT:
			this.strSNOMEDCTID = EnumChestCardiacSNOMEDMap.PULMONARY_ARTERY_CONDUIT
					.getSNOMEDCTID();
			break;
		case PULMONARY_CHAMBER_OF_COR_TRIATRIATUM:
			this.strSNOMEDCTID = EnumChestCardiacSNOMEDMap.PULMONARY_CHAMBER_OF_COR_TRIATRIATUM
					.getSNOMEDCTID();
			break;
		case PULMONARY_VEIN:
			this.strSNOMEDCTID = EnumChestCardiacSNOMEDMap.PULMONARY_VEIN
					.getSNOMEDCTID();
			break;
		case PULMONARY_VEIN_CONFLUENCE:
			this.strSNOMEDCTID = EnumChestCardiacSNOMEDMap.PULMONARY_VEIN_CONFLUENCE
					.getSNOMEDCTID();
			break;
		case PULMONARY_VENOUS_ATRIUM:
			this.strSNOMEDCTID = EnumChestCardiacSNOMEDMap.PULMONARY_VENOUS_ATRIUM
					.getSNOMEDCTID();
			break;
		case RADIAL_ARTERY:
			this.strSNOMEDCTID = EnumAnatomicSNOMEDMap.RADIAL_ARTERY
					.getSNOMEDCTID();
			break;
		case RENAL_ARTERY:
			this.strSNOMEDCTID = EnumAnatomicSNOMEDMap.RENAL_ARTERY
					.getSNOMEDCTID();
			break;
		case RENAL_VEIN:
			this.strSNOMEDCTID = EnumAnatomicSNOMEDMap.RENAL_VEIN.getSNOMEDCTID();
			break;
		case RIGHT_ATRIUM:
			this.strSNOMEDCTID = EnumChestCardiacSNOMEDMap.RIGHT_ATRIUM
					.getSNOMEDCTID();
			break;
		case RIGHT_AURICULAR_APPENDAGE:
			this.strSNOMEDCTID = EnumChestCardiacSNOMEDMap.RIGHT_AURICULAR_APPENDAGE
					.getSNOMEDCTID();
			break;
		case RIGHT_FEMORAL_ARTERY:
			this.strSNOMEDCTID = EnumChestCardiacSNOMEDMap.RIGHT_FEMORAL_ARTERY
					.getSNOMEDCTID();
			break;
		case RIGHT_PULMONARY_ARTERY:
			this.strSNOMEDCTID = EnumChestCardiacSNOMEDMap.RIGHT_PULMONARY_ARTERY
					.getSNOMEDCTID();
			break;
		case RIGHT_VENTRICLE:
			this.strSNOMEDCTID = EnumChestCardiacSNOMEDMap.RIGHT_VENTRICLE
					.getSNOMEDCTID();
			break;
		case RIGHT_VENTRICLE_INFLOW:
			this.strSNOMEDCTID = EnumChestCardiacSNOMEDMap.RIGHT_VENTRICLE_INFLOW
					.getSNOMEDCTID();
			break;
		case RIGHT_VENTRICLE_OUTFLOW_CHAMBER:
			this.strSNOMEDCTID = EnumChestCardiacSNOMEDMap.RIGHT_VENTRICLE_OUTFLOW_CHAMBER
					.getSNOMEDCTID();
			break;
		case RIGHT_VENTRICLE_OUTFLOW_TRACT:
			this.strSNOMEDCTID = EnumChestCardiacSNOMEDMap.RIGHT_VENTRICLE_OUTFLOW_TRACT
					.getSNOMEDCTID();
			break;
		case SAPHENOFEMORAL_JUNCTION:
			this.strSNOMEDCTID = EnumAnatomicSNOMEDMap.SAPHENOFEMORAL_JUNCTION
					.getSNOMEDCTID();
			break;
		case SAPHENOUS_VEIN:
			this.strSNOMEDCTID = EnumChestCardiacSNOMEDMap.SAPHENOUS_VEIN
					.getSNOMEDCTID();
			break;
		case SPLENIC_ARTERY:
			this.strSNOMEDCTID = EnumAnatomicSNOMEDMap.SPLENIC_ARTERY
					.getSNOMEDCTID();
			break;
		case SPLENIC_VEIN:
			this.strSNOMEDCTID = EnumAnatomicSNOMEDMap.SPLENIC_VEIN
					.getSNOMEDCTID();
			break;
		case SUBCLAVIAN_ARTERY:
			this.strSNOMEDCTID = EnumChestCardiacSNOMEDMap.SUBCLAVIAN_ARTERY
					.getSNOMEDCTID();
			break;
		case SUBCLAVIAN_VEIN:
			this.strSNOMEDCTID = EnumAnatomicSNOMEDMap.SUBCLAVIAN_VEIN
					.getSNOMEDCTID();
			break;
		case SUPERFICIAL_TEMPORAL_ARTERY:
			this.strSNOMEDCTID = EnumChestCardiacSNOMEDMap.SUPERFICIAL_TEMPORAL_ARTERY
					.getSNOMEDCTID();
			break;
		case SUPERIOR_LEFT_PULMONARY_VEIN:
			this.strSNOMEDCTID = EnumChestCardiacSNOMEDMap.SUPERIOR_LEFT_PULMONARY_VEIN
					.getSNOMEDCTID();
			break;
		case SUPERIOR_MESENTERIC_ARTERY:
			this.strSNOMEDCTID = EnumAnatomicSNOMEDMap.SUPERIOR_MESENTERIC_ARTERY
					.getSNOMEDCTID();
			break;
		case SUPERIOR_RIGHT_PULMONARY_VEIN:
			this.strSNOMEDCTID = EnumChestCardiacSNOMEDMap.SUPERIOR_RIGHT_PULMONARY_VEIN
					.getSNOMEDCTID();
			break;
		case SUPERIOR_THYROID_ARTERY:
			this.strSNOMEDCTID = EnumChestCardiacSNOMEDMap.SUPERIOR_THYROID_ARTERY
					.getSNOMEDCTID();
			break;
		case SUPERIOR_VENA_CAVA:
			this.strSNOMEDCTID = EnumAnatomicSNOMEDMap.SUPERIOR_VENA_CAVA
					.getSNOMEDCTID();
			break;
		case SYSTEMIC_COLLATERAL_ARTERY_TO_LUNG:
			this.strSNOMEDCTID = EnumChestCardiacSNOMEDMap.SYSTEMIC_COLLATERAL_ARTERY_TO_LUNG
					.getSNOMEDCTID();
			break;
		case SYSTEMIC_VENOUS_ATRIUM:
			this.strSNOMEDCTID = EnumChestCardiacSNOMEDMap.SYSTEMIC_VENOUS_ATRIUM
					.getSNOMEDCTID();
			break;
		case THORACIC_AORTA:
			this.strSNOMEDCTID = EnumChestCardiacSNOMEDMap.THORACIC_AORTA
					.getSNOMEDCTID();
			break;
		case TRUNCUS_ARTERIOSUS_COMMUNIS:
			this.strSNOMEDCTID = EnumChestCardiacSNOMEDMap.TRUNCUS_ARTERIOSUS_COMMUNIS
					.getSNOMEDCTID();
			break;
		case TRUNCUS_COELIACUS:
			this.strSNOMEDCTID = EnumChestCardiacSNOMEDMap.TRUNCUS_COELIACUS
					.getSNOMEDCTID();
			break;
		case ULNAR_ARTERY:
			this.strSNOMEDCTID = EnumAnatomicSNOMEDMap.ULNAR_ARTERY
					.getSNOMEDCTID();
			break;
		case UMBILICAL_ARTERY:
			this.strSNOMEDCTID = EnumAnatomicSNOMEDMap.UMBILICAL_ARTERY
					.getSNOMEDCTID();
			break;
		case UMBILICAL_VEIN:
			this.strSNOMEDCTID = EnumAnatomicSNOMEDMap.UMBILICAL_VEIN
					.getSNOMEDCTID();
			break;
		case VEIN:
			this.strSNOMEDCTID = EnumChestCardiacSNOMEDMap.VEIN.getSNOMEDCTID();
			break;
		case VENOUS_NETWORK:
			this.strSNOMEDCTID = EnumChestCardiacSNOMEDMap.VENOUS_NETWORK
					.getSNOMEDCTID();
			break;
		case VERTEBRAL_ARTERY:
			this.strSNOMEDCTID = EnumChestCardiacSNOMEDMap.VERTEBRAL_ARTERY
					.getSNOMEDCTID();
			break;

		}
	}
	/**
	 * Sets the value for CardiovascularAnatomicLocations
	 * @param enumCardiovascularAnatomicLocations Object of EnumCM_CardiovascularAnatomicLocations.
	 */
	public void setCardiovascularAnatomicLocations(EnumCM_CardiovascularAnatomicLocations enumCardiovascularAnatomicLocations)
	{
		/**
		 * Retrieves the value for CodingSchemeDesignator, CodingSchemeVersion and Code Meaning and 
		 * sets the Code Value according to Code Meaning.
		 */
		this.strCodeMeaning = enumCardiovascularAnatomicLocations.getValue();
			this.strCodingSchemeDesignator = EnumCodingSchemeDesignator.SRT.getValue();
		/**
		 * set code Value
		 */
		setCodeValue(enumCardiovascularAnatomicLocations);

		/**
		 * set SNOMED-CT ID
		 */
		setSNOMEDCTID(enumCardiovascularAnatomicLocations);
	}
}
